package gov.usgs.earthquake.nshmp.gmm;

import gov.usgs.earthquake.nshmp.Text;

/**
 * Subduction zone and model type identifiers for GMM labels.
 *
 * @author U.S. Geological Survey
 */
enum SubductionZone {

  GLOBAL,
  CASCADIA,
  ALASKA;

  @Override
  public String toString() {
    return Text.enumLabelWithSpaces(this, true);
  }

  static enum Type {

    INTERFACE,
    SLAB;

    @Override
    public String toString() {
      return Text.enumLabelWithSpaces(this, true);
    }
  }
}
