package gov.usgs.earthquake.nshmp.model;

/**
 * Fault and earthquake rate types.
 *
 * @author U.S. Geological Survey
 */
public enum RateType {

  /** Earthquake recurrence rate. */
  RECURRENCE,

  /** On-plane fault slip rate. */
  SLIP,

  /** Vertical slip rate, independent of fault dip. */
  VERTICAL_SLIP;
}
