package gov.usgs.earthquake.nshmp.model;

/*
 * Subduction intraslab rupture set implemention.
 *
 * @author U.S. Geological Survey
 */
class SlabRuptureSet extends GridRuptureSet {

  SlabRuptureSet(Builder builder) {
    super(builder);
    // TODO heandle ss weight
  }

  static Builder builder() {
    return new Builder();
  }

  static final class Builder extends GridRuptureSet.Builder {

    Builder() {
      super(SourceType.SLAB);
    }

    @Override
    SlabRuptureSet build() {
      validateAndInit("SlabRuptureSet.Builder");
      return new SlabRuptureSet(this);
    }
  }
}
