package gov.usgs.earthquake.nshmp.tree;

/**
 * A logic tree branch.
 *
 * @param <T> the type of value stored in a branch
 * @author U.S. Geological Survey
 */
public interface Branch<T> {

  /** The branch ID. */
  String id();

  /** The branch value. */
  T value();

  /** The branch weight. */
  double weight();

}
