package gov.usgs.earthquake.nshmp.gmm;

import static org.junit.jupiter.api.Assertions.assertThrows;

import org.junit.jupiter.api.Test;

import com.google.common.collect.ImmutableMap;

/*
 * Miscellaneous tests that fill out test coverage.
 */
class OtherTests {

  /*
   * Misorderd IMTs in ExtrapolatedGmm constructor are not checked by regular
   * GMM tests.
   */
  @Test
  void testExtrapolatedGmm() {
    assertThrows(IllegalArgumentException.class, () -> {
      new ExtrapolatedGmm(
          Gmm.CB_14,
          Imt.SA0P1,
          Imt.SA0P2,
          ImmutableMap.of(Gmm.CY_14, 1.0));
    });
  }

}
